PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zunglq_Tile | ( | PLASMA_desc * | A,
|  | PLASMA_desc * | T,
|  | PLASMA_desc * | Q
| ) |  |

PLASMA_zunglq_Tile - Generates an M-by-N matrix Q with orthonormal rows, which is defined as the first M rows of a product of the elementary reflectors returned by PLASMA_zgelqf. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | A | Details of the LQ factorization of the original matrix A as returned by PLASMA_zgelqf.
  [in] | T | Auxiliary factorization data, computed by PLASMA_zgelqf.
  [out] | Q | On exit, the M-by-N matrix Q.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zunglq
  PLASMA_zunglq_Tile_Async
  PLASMA_cunglq_Tile
  PLASMA_dorglq_Tile
  PLASMA_sorglq_Tile
  PLASMA_zgelqf_Tile